## EmpathyTpContactList

EmpathyTpContactList

## Synopsis

                        EmpathyTpContactList;
    EmpathyTpContactList * empathy_tp_contact_list_new      (McAccount *account);
    McAccount *         empathy_tp_contact_list_get_account (EmpathyTpContactList *list);
    gboolean            empathy_tp_contact_list_can_add     (EmpathyTpContactList *list);

## Object Hierarchy

      GObject
       +----EmpathyTpContactList

## Implemented Interfaces

EmpathyTpContactList implements EmpathyContactList.

## Properties

      "account"                  McAccount*            : Read / Write / Construct Only

## Signals

      "destroy"                                        : Run Last

## Description

## Details

### EmpathyTpContactList

    typedef struct _EmpathyTpContactList EmpathyTpContactList;

### empathy_tp_contact_list_new ()

    EmpathyTpContactList * empathy_tp_contact_list_new      (McAccount *account);

`account` : |
Returns : |

### empathy_tp_contact_list_get_account ()

    McAccount *         empathy_tp_contact_list_get_account (EmpathyTpContactList *list);

`list` : |
Returns : |

### empathy_tp_contact_list_can_add ()

    gboolean            empathy_tp_contact_list_can_add     (EmpathyTpContactList *list);

`list` : |
Returns : |

## Property Details

### The `"account"` property

      "account"                  McAccount*            : Read / Write / Construct Only

The account associated with the contact list.

## Signal Details

### The `"destroy"` signal

    void                user_function                      (EmpathyTpContactList *empathytpcontactlist,
                                                            gpointer              user_data)                 : Run Last

`empathytpcontactlist` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.